Upgrade Checklist

aatest
Consider the following inputs to upgrade to this release.
 
Advanced Authentication
 64-bit servers do not support HSM.
Create a backup of the entire ARCOT_HOME folder and the database.
  • When you plan to upgrade another component of 
    Advanced Authentication
    , ensure that you stop the services of existing components such as CA Strong Authentication, CA Risk Authentication, or CA Case Management.
  • Upgrade from CA Advanced Authentication 8.x to 9.0 is not supported on Windows when 8.x is installed in Program Files (x86). Uninstall the 
    Advanced Authentication
     8.x version and install the 9.0 version.
    When you install 9.0 after uninstalling 8.x from Program Files (x86), note that the installation is treated as a new installation and not an upgrade. Once you start CA Strong Authentication, CA Risk Authentication, and CA Case Management services, servers generate new Instance ID in the database. Cache refresh of the old instance IDs fails as the old instances are not in use.
    The old instance IDs do not impact the functionality.
    If you have 
    Advanced Authentication
     Clients or CA Adapter installed in a machine, do not install or upgrade 
    Advanced Authentication
     9.0 servers on the same machine.
  • Upgrade of CA Advanced Authentication to 9.0 is supported only in Windows GUI and Linux Console installation mode. 
  • In multiple instance environment, when you upgrade one of the instances from version 8.x to 9.0, the database schema is also upgraded to 9.x. The older server instances (8.x) can still work with the upgraded database schema. Subsequently, you can upgrade the other instances to 9.x.
  • Do not close the installer window when the upgrade is in progress. When you cancel or abort the installation that is in progress, the upgrade fails.
    • Manually clean up the installation directory (<
      install_location
      >) and its subdirectories.
  • When you run the installer on a system that already contains an instance of an existing $ARCOT_HOME:
      • You are 
        not
         prompted for the installation directory.
      • You are 
        not
         prompted for the database setup. The Installer uses the existing database.
      • You are also 
        not
         prompted to set up encryption.
  • (Applicable only for Master Master Replication Support only) Do not select the start the services when the database environment is configured in Master Master Replication. You can start the services manually once you configure Master Master Replication, see Master Master Replication Support.
  • During upgrade, it is assumed that you complete the DB initialization at the time of installation. 
  • When CA Strong Authentication and CA Risk Authentication components coexist in the same system, you must upgrade both components before you log in to the administration console.
    Once the installation is complete, configure the Custom plugins and LDAP plugins with 64-bit binaries from CA Administration Console and restart the 
    Advanced Authentication
     services.
 
Upgrade Support for Databases
 
Upgrade from 8.x to 9.0 is supported for Oracle and MSSQL.
 Upgrade is not supported for MySQL and IBM DB2 databases.